Yes, CelloSaaS provide support for Entity Framework  ver. 6.0 by default. Developers who want to use other ORMs can replace Entity Framework with others.